# NCollection_DefineVector.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_Vector.hxx>`

## Defines

#define | DEFINE_VECTOR(_ClassName_, _BaseCollection_, TheItemType) typedef NCollection_Vector<TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_VECTOR | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheItemType |  | ) | typedef NCollection_Vector<TheItemType > _ClassName_;